Last modified: 2013-06-18 16:53:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16751 - Support multiple file uploads via Special:Upload (backend/infrastructure)
Support multiple file uploads via Special:Upload (backend/infrastructure)
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Uploading (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Neil Kandalgaonkar
http://commons.wikimedia.org/wiki/Spe...
:
Depends on:
Blocks: 18132 488 16752 16753
  Show dependency treegraph
 
Reported: 2008-12-22 01:18 UTC by Brion Vibber
Modified: 2013-06-18 16:53 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2008-12-22 01:18:21 UTC
As long discussed, many folks would benefit from being able to upload multiple files at once, such as when uploading a bunch of photos from an event.

We need the backend infrastructure for accepting multiple files in one submission, and some front-end UI for sensibly handling the name/description/licensing info for each file.

Separate bugs will cover specific UI implementations for the actual file selection, which is another fun thing. :)
Comment 1 Aiuw 2008-12-22 01:48:33 UTC
(In reply to comment #0)
> As long discussed, many folks would benefit from being able to upload multiple
> files at once, such as when uploading a bunch of photos from an event.
> 
> We need the backend infrastructure for accepting multiple files in one
> submission, and some front-end UI for sensibly handling the
> name/description/licensing info for each file.
> 
> Separate bugs will cover specific UI implementations for the actual file
> selection, which is another fun thing. :)
> 

Have you seen http://www.mediawiki.org/wiki/Extension:MultiUpload ? 
Comment 2 Subfader 2009-02-12 18:47:41 UTC
Extension:MultiUpload is not safe imo. The basics work (many files uploaded)
but it doesn't even check if the target filename exists and just overwrites all
existing files. Who knows what other things it doesn't check...

The UI implenementations:
It would be good to have both options: to give seperate infos for each upload
and to use some text on all at once. Also a flexible number of
files-to-be-uploaded would be good. I'd prefer not having it on a seperate page
but all in Special:Upload. This could be "easily" handled like this:

Default load:
---------------------------------------------------
Multiple Upload:
You upload up to 50 files at once.

Default description: [textarea (4 rows)] [Add Button]

[Upload field 1]
Unique description: [textarea (3 rows)]

[Upload field 2]
Unique description: [textarea (3 rows)]

[Upload field 3]
Unique description: [textarea (3 rows)]

[Upload field 4]
Unique description: [textarea (3 rows)]

Add [__] upload fields [Submit] 

[Reset] [Upload] [checkboxes...]
---------------------------------------------------

Loading 5 upload fields by default is just an idea. Maybe 1 per default may be
better? User pref?

"Default description": This is like a template for all unique description
textareas. Entering text and clicking "Add" will load that text into all unique
descriptions. If those have text already, it will be enetered above the unique
text (not below for easier comparing)

"Add [__] upload fields": A little input box to enter the number of upload
fields to be added. Submitting 5 will add 5 new upload fields with the default
content loaded into the description fields.

"Reset" resets all unique descriptions textareas, not the file input.

"Upload will upload all with their unique descriptions. If no unique given and
only a default without being added prompt the user and ask if he wants to use
the default for all. If furthermore no default desc given, warn the user.

I didn't think much about the file-exists warning output. Maybe a big warning
on top like "5 files could not been added:" below each, nicely seperated.

Just a rough idea I got from the (crappy coded) Extension:MultiUpload. Using a
default description to be added on all is essential imo. Esp since you will def
have text being repeated on all when you use the multi-upload function. No more
copy-paste horror ;)
Comment 4 Diaa 2009-03-21 11:36:59 UTC
How is the programming going? anytime soon?
Comment 5 Aryeh Gregor (not reading bugmail, please e-mail directly) 2009-03-22 02:34:56 UTC
No one is doing any work on this as far as I know.  If there's progress, it will likely be posted on this bug, or some other appropriate place.  You don't have to spam everyone subscribed to the bug by asking for info.
Comment 6 Neil Kandalgaonkar 2010-02-26 23:34:41 UTC
We are actively working on a widget that does most of this right now.

The design is not quite the same but seems to be roughly equivalent. If someone watching this bug thinks we missed something please let me or Guillaume Paumier know. 

http://usability.wikimedia.org/wiki/Multimedia:NewUpload
Comment 7 Bryan Tong Minh 2011-05-15 12:03:40 UTC
Can we consider this FIXED? Yes?
Comment 8 Neil Kandalgaonkar 2011-05-15 12:53:40 UTC
Well, UploadWizard still isn't stable (was withdrawn from public wikis) so no.

Also a database backed stash would be nice...
Comment 9 Erik Moeller 2011-08-30 22:14:12 UTC
UploadWizard is pretty solid now and is the default on Commons. It doesn't handle all cases yet (e.g. custom license template support), but I suggest that bugs be filed against UW instead at this point, instead of the standard upload form, which is unlikely to receive a lot of attention in terms of additional UX/feature improvements.

Resolving this FIXED, feel free to reopen if you specifically care about a Special:Upload solution, but that's probably not something that will be prioritized at least by WMF.
Comment 10 Brion Vibber 2011-08-31 18:09:54 UTC
Will UW become a standard component shipped & enabled with MediaWiki, and will we enable it for side & private sites like internal.wikimedia.org and office.wikimedia.org?
Comment 11 Erik Moeller 2011-08-31 23:31:53 UTC
To the extent that we want to make uploading friendlier in general, I do think putting that effort toward generalizing UW is a better use of time than making Special:Upload or its various incarnations gradually acquire UW-like capabilities. So even if that's not something we (WMF) want to push actively right now, perhaps we should open a 'Generalize UploadWizard to work outside Commons' tracking bug.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links